org.eclipse.january.dataset

## Class Operations.Exponentiation

- java.lang.Object
- - org.eclipse.january.dataset.BinaryOperation.Stub
  - - org.eclipse.january.dataset.Operations.Exponentiation

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Enclosing class:
    Operations

      public static class Operations.Exponentiation
      extends BinaryOperation.Stub

  Exponentiation with boolean and

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exponentiation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `String` | `toString()`
    `String` | `toString(String a, String b)`

    - ### Methods inherited from class org.eclipse.january.dataset.BinaryOperation.Stub

      `booleanOperate, longOperate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Exponentiation

          public Exponentiation()

  - ### Method Detail

    - #### doubleOperate

          public double doubleOperate(double a,
                                      double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Overrides:
        `doubleOperate` in class `BinaryOperation.Stub`
      Parameters:
        `a` - first operand
        `b` - second operand
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                                     double ra,
                                     double ia,
                                     double rb,
                                     double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Overrides:
        `complexOperate` in class `BinaryOperation.Stub`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)
        `ra` - real part of first operand
        `ia` - imaginary part of first operand
        `rb` - real part of second operand
        `ib` - imaginary part of second operand

    - #### toString

          public String toString(String a,
                                 String b)

      Specified by:
        `toString` in interface `BinaryOperation`
      Overrides:
        `toString` in class `BinaryOperation.Stub`
      Parameters:
        `a` - first operand
        `b` - second operand
      Returns:
        string to represent output

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.